--- title: "Get Packet Capture of an Alert" slug: "get-packet-capture-of-an-alert" tags: ["Reference", "IPS 10.1.10"] updated: 2026-09-23T09:36:53Z published: 2026-09-23T09:36:53Z canonical: "docs.trellix.com/get-packet-capture-of-an-alert" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Get Packet Capture of an Alert This URL returns packet capture file data associated with the alert. ## Resource URL GET /domain//threatanalysis/packetlog?alertId=&device= ## Request Parameters URL Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | domainId | Domain id | Number | Yes | Query Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | alertId | Alert id | Number | Yes | | device | Name of the device required in case multiple devices are managed by a single Manager. | String | No | ## Response Parameters Returns packet capture file data associated with the alert. ## Example **Request** GET [https:///sdkapi/domain/0/threatanalysis/packetlog?alertId=103&device=NS-9200](https://%3CNSM_IP%3E/sdkapi/alerts/12345678/triggeredpkt?sensorId=1001) **Payload** NA **Response** ## Error Information Following error code is returned by this URL: | No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 500 | 1001 | Internal error |